/*
 * $Id: JasperReportsApplication.java 5331 2010-06-14 02:16:28Z mocleiri $
 * $Revision: 5331 $ $Date: 2010-06-13 22:16:28 -0400 (Sun, 13 Jun 2010) $
 * 
 * ==================================================================== Licensed
 * under the Apache License, Version 2.0 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain a copy of the
 * License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package wicket.contrib.jasperreports.examples;

import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.util.time.Duration;

/**
 * Wicket application class for jasper reports example.
 * 
 * @author Eelco Hillenius
 */
public class JasperReportsApplication extends WebApplication
{
	/**
	 * Constructor.
	 */
	public JasperReportsApplication()
	{
	}

	/**
	 * @see wicket.protocol.http.WebApplication#init()
	 */
	protected void init()
	{
		getResourceSettings().setResourcePollFrequency(Duration.ONE_SECOND);
	}

	/**
	 * @see wicket.Application#getHomePage()
	 */
	public Class getHomePage()
	{
		return Index.class;
	}
}
